<?php
/* ************************************************************************** *
 *																										*
 * Core - init.php v3.1 by Slodave, DC, 2007, http://www.zabec.net				*
 * -------- -------- -------- -------- -------- -------- -------- --------		*
 * 																									*
 * Datoteka, kjer se vključujejo vse potrebne knjižnice za uporabo v CMSju, 	*
 * inicializirajo potrebni classi, preveri licenca in naložijo nastavitve iz	*
 * baze																								*
 * ************************************************************************** */

//generiramo session
session_start();

//preverimo če je include preko ajaxa (potem je drugačna pot do knjižnic), $ajax predstavlja pot do modulov
	if ($ajax) {
		$mod_path = $ajax;
	}
	//uporabljena je standardna pot
	else {
		$mod_path = "";
	}

/* VKLJUČIMO POTREBNE KNJIŽNICE																*/
/* ************************************************************************** */
	//errorHandling knjižnica
	require($mod_path."sys/lib_error_handling.php");
	//mysql knjižnica
	require($mod_path."sys/lib_mysql.php");
	//template knjižnica
	require($mod_path."sys/lib_template.php");
	//datoteka, kjer so zbrane funkcije za delo z datotekami
	include($mod_path."sys/lib_file.php");
	//datoteka, kjer so zbrane funkcije za delo z slikami
	include($mod_path."sys/lib_image.php");
	//dakoteka, kjer so zbrane funkcije, ki skrbijo za preverjanje varnosti skript
	include($mod_path."sys/lib_security.php");
	//datoteka, kjer so zbrane funkcije za pomoč pri izpisu v template
	include($mod_path."sys/lib_simple_template.php");
	//datoteka, kjer so zbrane funkcije za različen format izpisa spremenljivk
	include($mod_path."sys/lib_format.php");
	//knjižnica, kjer so zbrane funkcije za operiranje http
	include($mod_path."sys/lib_web.php");
	//knjižnica, kjer so zbrane funkcije za vodenje zadnjih sprememb
	include($mod_path."sys/lib_spremembe.php");
	//datoteka, kjer se nahaja class za preverjanje licence
	require($mod_path."sys/lib_licence.php");
	
	//datoteka, kjer se nahaja class za preverjanje licence
	require($mod_path."sys/generatexml.php");
/* ************************************************************************** */

/* INICIALIZIRAMO POTREBNE CLASSE															*/
/* ************************************************************************** */
	//povezava z databazo
	$db = new Mysql($settings['db_host'], $settings['db_username'], $settings['db_password'], $settings['db_database']);

	//errorHandling
	$log = new errorHandling($debug, "db", $settings['template'], $mod_path, $db);

	//licenca
	//$licence = new Licence($db);

/* ************************************************************************** */

/* PREVERJANJE LICENCE																			*/
/* ************************************************************************** */
	//preverimo veljavnost licence
	//$licence->PreveriVeljavnost();

	//pridobimo podatke o licenci
	//$licence_data = $licence->GetLicenceData();

/* ************************************************************************** */

/* NASTAVITVE IZ DATABAZE																		*/
/* ************************************************************************** */
	$result = $db->query("SELECT var,value FROM core_nastavitve ORDER BY id DESC");
	while($r = $result->fetch()) {
		$settings[$r['var']] = $r['value'];
	}
/* ************************************************************************** */

//vključimo primarni jezik (glede na nastavitve v tabeli core_nastavitve)
include($mod_path."language/".$settings['language']."/lang_".$settings['language'].".php");

?>